import { doFetchOrderHistory } from '@/services/product.service';
import { getField, updateField } from 'vuex-map-fields';
import humps from 'lodash-humps';

export const orderlist = {
    namespaced: true,
    state: {
        fetchInProgress: false,
        orderNumber: "",
        createdDate: "",
        toDate: "",
        purchaseOrderNumber: "",
        OrderHistory :{},

    },
    getters: {
        getField,

    },
    mutations: {
        updateField,
        fetchInProgress(state, yesOrNo) {
            state.fetchInProgress = yesOrNo
        },
        // SetOrderlist(state, orderItem) {
        // // console.log(state.orderNumber=orderItem)
        // }  ,
        setorderHistory(state,orderhistorydata) {
            state.OrderHistory=orderhistorydata
        }
    },

    actions: {
        searchOrder: ({ commit }, orderItem) => {
            commit('SetOrderlist', orderItem);
        },
        fetchOrderList: async ({ commit }) => {
            let OrderHistory = await doFetchOrderHistory();
            if ( OrderHistory) {
                commit('setorderHistory', humps( OrderHistory));
            }
        },
    }
}
    
    

    

